﻿@*@model object

@{var fieldName = ViewData.TemplateInfo.HtmlFieldPrefix;}

<div class="k-rtl" style="width:900px;">
    @(Html.Kendo().Editor()
     .Name(fieldName)
     .HtmlAttributes(new { style = "width: 900px;height:200px;font-family : YekanNumber,IRANSans !important ; font-size : 14px !important;" })
     .Tools(tools => tools
     .Clear().FontName(items => items
          .Add("Verdana", "Verdana,Geneva,sans-serif")
          .Add("Garamond", "Garamond, serif")

      )
      .FontSize(items => items
          .Add("1 (8pt)", "xx-small")
          .Add("16px", "16px")
      )
      .Formatting(items => items
          .Add("Paragraph", "p")
          .Add("Fieldset", "fieldset")
      )
     .CleanFormatting()
     .ViewHtml()
     .InsertImage()
     .Bold().Italic().Underline().Strikethrough()
     .JustifyLeft().JustifyCenter().JustifyRight().JustifyFull()
     .InsertUnorderedList().InsertOrderedList()
     .Outdent().Indent()
     .CreateLink().Unlink()
     .InsertFile()
     .SubScript()
     .SuperScript()
     .TableEditing()
     .FontColor().BackColor()
     .Print()
 )

 .Resizable(resizable => resizable.Content(true).Toolbar(true))
    )
</div>*@




@removeTagHelper "*, Microsoft.AspNet.Mvc.Razor"
@removeTagHelper "*, Microsoft.AspNetCore.Mvc.Razor"

@model object

@{ var fieldNmae = ViewData.TemplateInfo.HtmlFieldPrefix;}

<div class="k-rtl" style="width:1000px;">
    @(Html.Kendo().Editor()
              .Name(fieldNmae)
              .Encoded(true)
              .HtmlAttributes(new { style = "width:1000px;font-family : YekanNumber,IRANSans !important ; font-size : 14px !important;", aria_label = "editor" })
              .Tools(tools => tools
                .Clear()
                .CleanFormatting()
                .Bold().Underline()
                .JustifyLeft().JustifyCenter().JustifyRight().JustifyFull()
                .TableEditing()
            .FontSize()
            .ForeColor().BackColor()
             .ViewHtml()
            .Formatting()
            .Print()
            .InsertImage()
            .InsertFile()
            .SubScript()
            .SuperScript()
            .Outdent().Indent()
            .CreateLink().Unlink()
            .InsertUnorderedList().InsertOrderedList()
            )
              .Resizable(resizable => resizable.Content(true).Toolbar(true))
              .Value("")


    )
</div>
